<!--
  Generated template for the ThemesPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-content>
	<nav class="login-nav">
		<button class="back_button" (click)="goBack()"><ion-icon name="arrow-back"></ion-icon></button>
		<div class="logo-center">
    		<img src="assets/img/logo_dos.png">
		</div>
  	</nav>
	<div class="themes-container">
		<div class="themes-content">
			<div class="title-page">
				<h3>Registro</h3>
				<!-- <a (click)>< Volver</a> -->
			</div>

			<form [formGroup]="userForm" (ngSubmit)="onSubmit(userForm.value, userForm.valid)">

				<ion-list>
					<ion-item>
				    	<ion-label color="primary" stacked>Nombre completo</ion-label>
				    	<ion-input type="text" placeholder="" formControlName="nombre_completo"></ion-input>
				  	</ion-item>

				  	<ion-item>
				    	<ion-label color="primary" stacked>Correo electrónico personal</ion-label>
				    	<ion-input type="mail" placeholder="" formControlName="correo_electronico_personal"></ion-input>
				  	</ion-item>
				  	
				  	<ion-item>
				    	<ion-label color="primary" stacked>Usuario</ion-label>
				    	<ion-input type="text" placeholder="" formControlName="username"></ion-input>
				  	</ion-item>

				  	<div class="pass-input todayPass">
				  		<ion-item>
					    	<ion-label color="primary" stacked>Contraseña</ion-label>
					    	<ion-input type="password" placeholder="" formControlName="password"></ion-input>
					  	</ion-item>
					  	<a (click)="showPassToday()" class="showPass"><ion-icon name="eye" *ngIf="iconShowPass"></ion-icon><ion-icon name="eye-off" *ngIf="iconHiddenPass"></ion-icon></a>
				  	</div>
				  	
				  	<div class="content-button">
          				<button class="submit login" type="submit">Guardar</button>
				  	</div>
				</ion-list>
			</form>
		</div>
	</div>
</ion-content>
